--[[
Description: This plugin is part of the "Titan Panel [Attributes] Multi" addon. It shows your ---.
Site: http://www.curse.com/addons/wow/titan-panel-attributes-multi
Author: Canettieri
Special Thanks to Eliote.
--]]

local ADDON_NAME, L = ...;
local version = GetAddOnMetadata(ADDON_NAME, "Version")
local ID = "TITAN_BTGNDM"
local hkill = 0
local startattribute = 0
local ICON

local AlteracValley_w	= GetStatistic(49) or 0
local AlteracValley_tt = GetStatistic(53) or 0
local ArathiBasin_w	= GetStatistic(51) or 0
local ArathiBasin_tt = GetStatistic(55) or 0
local BattleForGilneas_w	= GetStatistic(5237) or 0
local BattleForGilneas_tt	= GetStatistic(5236) or 0
local DeepwindGorge_w	= GetStatistic(8373) or 0
local DeepwindGorge_tt	= GetStatistic(8374) or 0
local EyeOfTheStorm_w	= GetStatistic(50) == "0" or GetStatistic(50)
local EyeOfTheStorm_tt = GetStatistic(54) or 0
local IsleofConquest_w = GetStatistic(4097) or 0
local IsleofConquest_tt	= GetStatistic(4096) or 0
local SilverShardMines_w	= GetStatistic(7830) or 0
local SilverShardMines_tt	= GetStatistic(7829) or 0
local StrandOfTheAncients_w	= GetStatistic(1550) or 0
local StrandOfTheAncients_tt = GetStatistic(1549) or 0
local TempleOfKotmogu_w	= GetStatistic(7826) or 0
local TempleOfKotmogu_tt	= GetStatistic(7825) or 0
local TwinPeaks_w	= GetStatistic(5233) == '--' and 0 or GetStatistic(5233)
local TwinPeaks_tt	= GetStatistic(5232) or 0
local WarsongGulch_w	= GetStatistic(105) or 0
local WarsongGulch_tt	= GetStatistic(52) or 0
local RatedBattlegrounds_w	= GetStatistic(5694) or 0
local RatedBattlegrounds_tt	= GetStatistic(5692) or 0
local Arena2vs2_w	= GetStatistic(366) or 0
local Arena2vs2_tt	= GetStatistic(367) or 0
local Arena3vs3_w	= GetStatistic(364) or 0
local Arena3vs3_tt 	= GetStatistic(365) or 0
local Arena5vs5_w	= GetStatistic(362) or 0
local Arena5vs5_tt	= GetStatistic(363) or 0

if UnitFactionGroup("Player") == "Alliance" then
ICON ="Interface\\Icons\\achievement_pvp_a_a"
else
ICON = "Interface\\Icons\\achievement_pvp_h_h"
end
-----------------------------------------------
local function OnClick(self, button)
	if (button == "LeftButton") then
		TogglePVPUI();
	end
end
-----------------------------------------------
local function OnUpdate(self, id)
	local hk, highestRank = GetPVPLifetimeStats() or 0;

	if hkill == hk then return end
	hkill = hk

	TitanPanelButton_UpdateButton(id)
	return true
end
-----------------------------------------------
local function GetButtonText(self, id)
	local BarBalanceText = ""
	if TitanGetVar(ID, "ShowBarBalance") then
		if (hkill - startattribute) > 0 then
			BarBalanceText = " |cFF69FF69["..(hkill - startattribute).."]"
		elseif (hkill - startattribute) < 0 then
			BarBalanceText = " |cFFFF2e2e["..(hkill - startattribute).."]"
		end
	end

	local hkilltext = "|cFFFFFFFF"..hkill

	return L["hk"]..": ", hkilltext..BarBalanceText
end
-----------------------------------------------
local function GetTooltipText(self, id)
local AlteracValley_text = "Vale Alterac:\t"..AlteracValley_w.."/"..(AlteracValley_tt - AlteracValley_w).." = "..AlteracValley_tt
local ArathiBasin_text = "\n".."Bacia Arathi:\t"..ArathiBasin_w.."/"..(ArathiBasin_tt - ArathiBasin_w).." = "..ArathiBasin_tt
local BattleForGilneas_text = "\n".."A Batalha por Gilneas:\t"..BattleForGilneas_w.."/"..(BattleForGilneas_tt - BattleForGilneas_w).." = "..BattleForGilneas_tt
local DeepwindGorge_text = "\n".."Desfiladeiro do Vendaval:\t"..DeepwindGorge_w.."/"..(DeepwindGorge_tt - DeepwindGorge_w).." = "..DeepwindGorge_tt
local EyeOfTheStorm_text = "\n".."Vale Alterac:\t"..EyeOfTheStorm_w.."/"..(EyeOfTheStorm_tt - EyeOfTheStorm_w).." = "..EyeOfTheStorm_tt
local IsleofConquest_text = "\n".."Vale Alterac:\t"..AlteracValley_w.."/"..(IsleofConquest_tt - IsleofConquest_w).." = "..IsleofConquest_tt
local SilverShardMines_text = "\n".."Vale Alterac:\t"..SilverShardMines_w.."/"..(SilverShardMines_tt - SilverShardMines_w).." = "..SilverShardMines_tt
local StrandOfTheAncients_text = "\n".."Vale Alterac:\t"..StrandOfTheAncients_w.."/"..(StrandOfTheAncients_tt - StrandOfTheAncients_w).." = "..StrandOfTheAncients_tt
local TempleOfKotmogu_text = "\n".."Vale Alterac:\t"..TempleOfKotmogu_w.."/"..(TempleOfKotmogu_tt - TempleOfKotmogu_w).." = "..TempleOfKotmogu_tt
local TwinPeaks_text = "\n".."Vale Alterac:\t"..TwinPeaks_w.."/"..(TwinPeaks_tt - TwinPeaks_w).." = "..TwinPeaks_tt
local WarsongGulch_text = "\n".."Vale Alterac:\t"..WarsongGulch_w.."/"..(WarsongGulch_tt - WarsongGulch_w).." = "..WarsongGulch_tt

	return AlteracValley_text..ArathiBasin_text..BattleForGilneas_text..DeepwindGorge_text..EyeOfTheStorm_text..IsleofConquest_text..SilverShardMines_text..StrandOfTheAncients_text..StrandOfTheAncients_text..TempleOfKotmogu_text..TwinPeaks_text..WarsongGulch_text
end
-----------------------------------------------
local eventsTable = {
	PLAYER_ENTERING_WORLD = function(self)
		self:UnregisterEvent("PLAYER_ENTERING_WORLD")
		self.PLAYER_ENTERING_WORLD = nil

		startattribute = GetPVPLifetimeStats() or 0
		hkill = startattribute

		TitanPanelButton_UpdateButton(self.registry.id)
	end
}
-----------------------------------------------
L.Elib({
	id = ID,
	name = "Titan|cFFf9251a "..L["hk"].."|r".." Multi",
	tooltip = L["hk"],
	icon = ICON,
	category = "Combat",
	version = version,
	onUpdate = OnUpdate,
	onClick = OnClick,
	getButtonText = GetButtonText,
	getTooltipText = GetTooltipText,
	prepareMenu = L.PrepareAttributesMenu,
	savedVariables = {
		ShowIcon = 1,
		DisplayOnRightSide = false,
		ShowBarBalance = false,
		ShowLabelText = false,
	},
	eventsTable = eventsTable
})
